## ros-indigo-kobuki-testsuite 0.6.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(kobuki_testsuite)
find_package(catkin REQUIRED COMPONENTS kobuki_driver kobuki_node std_msgs sensor_msgs geometry_msgs message_generation)

catkin_python_setup()
catkin_package()

install(PROGRAMS scripts/inf_rotation.py
                 scripts/test_analog_input.py
                 scripts/test_battery_voltage.py
                 scripts/test_events.py
                 scripts/test_gyro.py
                 scripts/test_led_array.py
                 scripts/test_rotation.py
                 scripts/test_sounds.py
                 scripts/scan_angle.py
                 scripts/test_battery
                 scripts/test_digital_output.py
                 scripts/test_external_power.py
                 scripts/test_input.py
                 scripts/test_output.py
                 scripts/test_safewandering.py
                 scripts/test_translation.py
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-kobuki-testsuite (0.6.8-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jorge Santos Simon <jorge@yujinrobot.com>  Wed, 09 Nov 2016 08:00:52 -0000

ros-indigo-kobuki-testsuite (0.6.6-0trusty) trusty; urgency=high

  * add comment for new variable #353 <https://github.com/yujinrobot/kobuki/issues/353>
  * checks scan_angle variable. correct msg import #353 <https://github.com/yujinrobot/kobuki/issues/353>
  * Contributors: Jihoon Lee

 -- Jorge Santos Simon <jorge@yujinrobot.com>  Tue, 26 May 2015 15:00:00 -0000

ros-indigo-kobuki-testsuite (0.6.5-0trusty) trusty; urgency=high



 -- Jorge Santos Simon <jorge@yujinrobot.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-kobuki-testsuite (0.6.4-0trusty) trusty; urgency=high



 -- Jorge Santos Simon <jorge@yujinrobot.com>  Mon, 25 Aug 2014 15:00:00 -0000

ros-indigo-kobuki-testsuite (0.6.3-0trusty) trusty; urgency=high



 -- Jorge Santos Simon <jorge@yujinrobot.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-kobuki-testsuite (0.6.2-0trusty) trusty; urgency=high

  * move out the message to kobuki_msgs
  * add queue_size for publishers in testsuite
  * Contributors: Jihoon Lee

 -- Jorge Santos Simon <jorge@yujinrobot.com>  Sun, 10 Aug 2014 15:00:00 -0000

ros-indigo-kobuki-testsuite (0.6.1-0trusty) trusty; urgency=high



 -- Jorge Santos Simon <jorge@yujinrobot.com>  Thu, 07 Aug 2014 15:00:00 -0000

ros-indigo-kobuki-testsuite (0.6.0-0trusty) trusty; urgency=high

  * Angular/linear acceleration script added.
  * customisable rotate rate.
  * Add missing run dependency on yocs_cmd_vel_mux
  * Contributors: Daniel Stonier, Jorge Santos, jihoonl

 -- Jorge Santos Simon <jorge@yujinrobot.com>  Thu, 07 Aug 2014 15:00:00 -0000

ros-indigo-kobuki-testsuite (0.5.5-0trusty) trusty; urgency=high

  * New script: test_slow_drive.sh
    Moves following a 90cm radius circle while publishing accumulated and
    average error on angular velocity, using gyroscope data as reference.
    Useful for testing passive wheels configurations.
    See https://github.com/yujinrobot/kobuki/issues/202 for more details

 -- Jorge Santos Simon <jorge@yujinrobot.com>  Thu, 10 Oct 2013 15:00:00 -0000

ros-indigo-kobuki-testsuite (0.5.4-0trusty) trusty; urgency=high



 -- Jorge Santos Simon <jorge@yujinrobot.com>  Thu, 05 Sep 2013 15:00:00 -0000

ros-indigo-kobuki-testsuite (0.5.3-0trusty) trusty; urgency=high



 -- Jorge Santos Simon <jorge@yujinrobot.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-kobuki-testsuite (0.5.0-0trusty) trusty; urgency=high

  * adds extra url info to kobuki_testsuite
  * adds readme for kobuki_testsuite
  * removes turtlebot comments
  * Fix URL to the previous changelog wiki
  * Changelogs at package level

 -- Jorge Santos Simon <jorge@yujinrobot.com>  Wed, 28 Aug 2013 15:00:00 -0000

ros-indigo-kobuki-testsuite (0.4.0-0trusty) trusty; urgency=high

  * Add information about preliminary nodes for gyro_perf in the launcher file.
  * Add mod function importing in gyro_perf.py which is missing.
  * Add wrap_to_pi function into gyro_perf.py which is missing.
  * Add convenient launcher file for single running of gyro_perf.py script.
  * Add batch_test.sh for automated batch testing of gyro_perf script.
  * Add gyro_perf.py script for performance measuring of gyro.

 -- Jorge Santos Simon <jorge@yujinrobot.com>  Thu, 08 Aug 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-kobuki-testsuite
Section: misc
Priority: extra
Maintainer: Jorge Santos Simon <jorge@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-kobuki-msgs, ros-indigo-kobuki-node, ros-indigo-message-generation, ros-indigo-python-orocos-kdl, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/kobuki_testsuite
Standards-Version: 3.9.2

Package: ros-indigo-kobuki-testsuite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-kobuki-msgs, ros-indigo-kobuki-node, ros-indigo-message-runtime, ros-indigo-python-orocos-kdl, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: Kobuki test suite: this package provides tools to thoroughly test Kobuki's hardware.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-kobuki-testsuite//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
